summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorTobias Baust2020-04-16 17:43:37 +0200
committerTobias Baust2020-04-16 17:43:37 +0200
commita926f293b734303942ba6bcd2c16d1b0425fb455 (patch)
tree0d57ec48b77cd9aa14a29e120ae3e642a4f564d2
parent2e8c566d273fe4bb474063446f6f9aad963eed01 (diff)
downloadaur-a926f293b734303942ba6bcd2c16d1b0425fb455.tar.gz
removed sphinx due to missing sphinxcontrib.matlabdomain; exclude python related tests if optdepends are missing; fixed typos; updated .install
-rw-r--r--.SRCINFO5
-rw-r--r--PKGBUILD23
-rw-r--r--cantera-git.install22
3 files changed, 36 insertions, 14 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 73af3bb98d5..b17f3383bc7 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,7 +1,7 @@
pkgbase = cantera-git
pkgdesc = suite of tools for kinetics, thermodynamics, and transport processes
pkgver = 2.4.0.r689.g29437efc4
- pkgrel = 1
+ pkgrel = 2
url = https://cantera.org/
install = cantera-git.install
arch = x86_64
@@ -20,9 +20,8 @@ pkgbase = cantera-git
depends = boost
optdepends = python-numpy: numerical python support
optdepends = cython: compiler for python interface
- optdepends = python-ruamel-yaml: for cython test cases in check()
+ optdepends = python-ruamel-yaml: cython support
optdepends = doxygen: documentation
- optdepends = python-sphinx: documentation
optdepends = tcsh: csh scripts
provides = libcantera_shared.so=2-64
source = git+https://github.com/Cantera/cantera.git
diff --git a/PKGBUILD b/PKGBUILD
index e1c7932ff71..7e079ca0480 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -2,7 +2,7 @@
_pkgname=cantera
pkgname="${_pkgname}-git"
pkgver='2.4.0.r689.g29437efc4'
-pkgrel=1
+pkgrel=2
pkgdesc='suite of tools for kinetics, thermodynamics, and transport processes'
arch=('x86_64')
url='https://cantera.org/'
@@ -14,9 +14,8 @@ makedepends=('scons' 'git' 'gcc' 'fmt')
checkdepends=('gtest' 'gmock')
optdepends=('python-numpy: numerical python support'
'cython: compiler for python interface'
- 'python-ruamel-yaml: for cython test cases in check()'
+ 'python-ruamel-yaml: cython support'
'doxygen: documentation'
- 'python-sphinx: documentation'
'tcsh: csh scripts')
provides=('libcantera_shared.so=2-64')
install="$pkgname.install"
@@ -39,20 +38,26 @@ build() {
googletest='system' \
extra_inc_dirs='/usr/include/eigen3'
# build documentation
- if [ $(pacman -Qi doxygen &> /dev/null) -eq "0" ]; then
+ $(pacman -Qi doxygen &> /dev/null)
+ if [ "$?" -eq "0" ]; then
scons doxygen
fi
- if [ $(pacman -Qi python-sphinx &> /dev/null) -eq "0" ]; then
- scons sphinx
- fi
# build cantera samples
scons samples
}
check() {
cd "$_pkgname"
- # run tests
- scons test
+ $(pacman -Qi python-numpy &> /dev/null) && \
+ $(pacman -Qi python-ruamel-yaml &> /dev/null) && \
+ $(pacman -Qi cython &> /dev/null)
+ if [ "$?" -ne "0" ]; then
+ # run tests without python
+ scons test-help | grep "test-" | sed '/python/d' | xargs scons
+ else
+ # run all tests
+ scons test
+ fi
}
package() {
diff --git a/cantera-git.install b/cantera-git.install
index ff0f6b9c3e9..e31dcac49d0 100644
--- a/cantera-git.install
+++ b/cantera-git.install
@@ -1,4 +1,22 @@
post_install() {
- echo "Set Cantera Environment:"
- echo "$ source /usr/bin/setup_cantera"
+ echo "
+ File locations:
+
+ applications /usr/bin
+ library files /usr/lib
+ C++ headers /usr/include
+ samples /usr/share/cantera/samples
+ data files /usr/share/cantera/data
+ Python package (cantera) /usr/lib/python3.8/site-packages
+ Python samples /usr/lib/python3.8/site-packages/cantera/examples
+ Setup scripts to configure the environment for Cantera are at:
+ setup script (bash) /usr/bin/setup_cantera
+ setup script (csh/tcsh) /usr/bin/setup_cantera.csh
+
+ It is recommended that you run the script for your shell by typing:
+
+ source /usr/bin/setup_cantera
+
+ before using Cantera, or else include its contents in your shell login script.
+ "
}